function tUe(a){this.a=a}
function AUe(a,b){GTe(a.a,b)}
function BUe(a,b){FTe(a.a,b)}
function _sk(){rZe(this.b,new tUe(this))}
function T$e(a){var b;if(!a.d){b=new CUe;a.d=b}return a.d}
function S$e(a){var b;if(!a.c){b=new rUe(vFd(sce(a.a)),T$e(a),R$e(a),(Znj(Zde(a.a)),RLg(lde(a.a))),b1i(Xde(a.a)));HFd((tce(a.a),b),EGd(tce(a.a)));a.c=b}return a.c}
function CUe(){this.a=new HTe(e2j);ETe(this.a,(uYd(),'A named network interface, along with required criteria for determining the IP address to associate with that interface.'))}
function rUe(a,b,d,e){var g,i,j;lGd.call(this,a,b,d);this.c=e;g=new Y7i;g.b=new wlj;this.b=new sZe(g);j=new p0i(zlb);i=new a0i(zlb,(dBh(),$Ah).Mc(zlb),cBh.Mc(zlb));this.a=new fUe(j,i);dUe(this.a,this)}
w3c(2105,1010,qyj,rUe);_.Al=function(){var a;a=new Y7i;a.b=new wlj;return a};_.Bl=_sk;_.Ti=function(){AUe(this.A,this.a)};_.Yi=_sk;_.aj=function(){Xuf(this.c,this)};w3c(2106,1297,{},tUe);_.eh=function(a){BUe(this.a.A,a)};w3c(2109,1414,pyj,CUe);_.Bh=function(){return DTe(this.a)};w3c(2219,1,Yyj);_.td=function(){dHd(this.b,S$e(this.a.a))};var Xjb=bOd(2105),Ujb=bOd(2106),Yjb=bOd(2109);Mzj(np)(9);